### Home Classes Methods

### In Files

- lib/chef/solr/solr_installer.rb

### Methods

- ::config
- ::parse_options

### Class/Module Index

Quicksearch

- Chef
- Chef::Solr
- Chef::Solr::Application
- Chef::Solr::Application::Solr
- Chef::SolrInstaller
- Chef::SolrInstaller::Config
- Chef::SolrInstaller::Config::CLI
- Chef::SolrInstaller::Config::CompatConfig

No matching classes.

# Chef::SolrInstaller::Config::CLI

### Public Class Methods

config() click to toggle source

    # File lib/chef/solr/solr_installer.rb, line 231
    def self.config
      @config
    end

parse_options(argv) click to toggle source

    # File lib/chef/solr/solr_installer.rb, line 226
    def self.parse_options(argv)
      @option_parser.parse!(argv.dup)
      @config
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.